This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 765464 - (GLUSTER-3732) enhance 'volume status' command to get the available free-space in brick
enhance 'volume status' command to get the available free-space in brick
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
mainline
x86_64 Linux
medium Severity low
: ---
: ---
Assigned To: Vivek Agarwal
Rahul Hinduja
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2011-10-18 01:59 EDT by Amar Tumballi
Modified: 2016-02-17 19:02 EST (History)
4 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:09:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Amar Tumballi 2011-10-18 01:59:59 EDT
currently 'volume status' gives out, pid/online details, enhance it to print the available free space of the bricks too.

handling is simple. in COMMIT_OP send the 'statfs()' output on the brick with dictionary.
Comment 1 Anand Avati 2012-01-05 11:52:36 EST
CHANGE: http://review.gluster.com/2560 (lib/mount-broker: move utility functions to common-utils) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 2 Anand Avati 2012-01-12 04:58:31 EST
CHANGE: http://review.gluster.com/777 (cli: volume status enhancement) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 3 Anand Avati 2012-01-24 02:24:55 EST
CHANGE: http://review.gluster.com/2680 (glusterd: fix transpose of memset arguments) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 4 Anand Avati 2012-03-22 01:39:58 EDT
CHANGE: http://review.gluster.com/2989 (cli: Display available information in "volume status detail") merged in master by Vijay Bellur (vijay@gluster.com)
Comment 5 pushpesh sharma 2012-05-31 03:07:12 EDT
Didnt find the required free disk space output.Marking it ON_DEV.

[root@dhcp201-121 ~]# gluster volume status
Status of volume: test1
Gluster process						Port	Online	Pid
------------------------------------------------------------------------------
Brick dhcp201-171.englab.pnq.redhat.com:/vol/test1	24009	Y	4385
Brick dhcp201-147.englab.pnq.redhat.com:/vol/test1	24009	Y	4257
NFS Server on localhost					38467	Y	4481
NFS Server on dhcp201-171.englab.pnq.redhat.com		38467	Y	4391
NFS Server on dhcp201-147.englab.pnq.redhat.com		38467	Y	4263
 
[root@dhcp201-121 ~]# rpm -qa|grep gluster
glusterfs-fuse-3.3.0qa45-1.el6.x86_64
glusterfs-rdma-3.3.0qa45-1.el6.x86_64
glusterfs-devel-3.3.0qa45-1.el6.x86_64
glusterfs-3.3.0qa45-1.el6.x86_64
glusterfs-geo-replication-3.3.0qa45-1.el6.x86_64
glusterfs-server-3.3.0qa45-1.el6.x86_64
glusterfs-debuginfo-3.3.0qa45-1.el6.x86_64
Comment 6 Rajesh 2012-05-31 03:11:37 EDT
pushpesh, the command syntax for this is:
gluster volume status <[VOLNAME]|all> [detail|mem|fd....]. Please find it in status help. to get free space and other details, one should give detail as the last parameter
Comment 7 pushpesh sharma 2012-05-31 03:25:01 EDT
rajesh,

I missed the comment#2.It is working fine:-

[root@dhcp201-121 ~]# gluster volume status test1 detail
Status of volume: test1
------------------------------------------------------------------------------
Brick                : Brick dhcp201-171.englab.pnq.redhat.com:/vol/test1
Port                 : 24009               
Online               : Y                   
Pid                  : 4385                
File System          : ext4                
Device               : /dev/mapper/vg_dhcp201171-lv_root
Mount Options        : rw                  
Inode Size           : 256                 
Disk Space Free      : 9.2GB               
Total Disk Space     : 10.4GB              
Inode Count          : 693600              
Free Inodes          : 664135          

My apologies. Marking it as verified.

Note You need to log in before you can comment on or make changes to this bug.